cryptonite-0.9: Cryptography Primitives sink

License | BSD-style
Maintainer | Vincent Hanquez <vincent@snarc.org>
Stability | experimental
Portability | unknown
Safe Haskell | None
Language | Haskell2010

Crypto.Hash.Algorithms

Contents

- hash algorithms

Description

Definitions of known hash algorithms

Synopsis

- class HashAlgorithm a
- data Blake2s_256 = Blake2s_256
- data Blake2sp_256 = Blake2sp_256
- data Blake2b_512 = Blake2b_512
- data Blake2bp_512 = Blake2bp_512
- data MD2 = MD2
- data MD4 = MD4
- data MD5 = MD5
- data SHA1 = SHA1
- data SHA224 = SHA224
- data SHA256 = SHA256
- data SHA384 = SHA384
- data SHA512 = SHA512
- data SHA512t_224 = SHA512t_224
- data SHA512t_256 = SHA512t_256
- data RIPEMD160 = RIPEMD160
- data Tiger = Tiger
- data Keccak_224 = Keccak_224
- data Keccak_256 = Keccak_256
- data Keccak_384 = Keccak_384
- data Keccak_512 = Keccak_512
- data SHA3_224 = SHA3_224
- data SHA3_256 = SHA3_256
- data SHA3_384 = SHA3_384
- data SHA3_512 = SHA3_512
- data Skein256_224 = Skein256_224
- data Skein256_256 = Skein256_256
- data Skein512_224 = Skein512_224
- data Skein512_256 = Skein512_256
- data Skein512_384 = Skein512_384
- data Skein512_512 = Skein512_512
- data Whirlpool = Whirlpool

# Documentation

class HashAlgorithm a

Class representing hashing algorithms.

The interface presented here is update in place and lowlevel. the Hash module takes care of hidding the mutable interface properly.

Minimal complete definition

hashBlockSize, hashDigestSize, hashInternalContextSize, hashInternalInit, hashInternalUpdate, hashInternalFinalize

Instances

HashAlgorithm Blake2s_256 |
HashAlgorithm Blake2sp_256 |
HashAlgorithm Blake2b_512 |
HashAlgorithm Blake2bp_512 |
HashAlgorithm MD2 |
HashAlgorithm MD4 |
HashAlgorithm MD5 |
HashAlgorithm SHA1 |
HashAlgorithm SHA224 |
HashAlgorithm SHA256 |
HashAlgorithm SHA384 |
HashAlgorithm SHA512 |
HashAlgorithm SHA512t_256 |
HashAlgorithm SHA512t_224 |
HashAlgorithm SHA3_512 |
HashAlgorithm SHA3_384 |
HashAlgorithm SHA3_256 |
HashAlgorithm SHA3_224 |
HashAlgorithm Keccak_512 |
HashAlgorithm Keccak_384 |
HashAlgorithm Keccak_256 |
HashAlgorithm Keccak_224 |
HashAlgorithm RIPEMD160 |
HashAlgorithm Tiger |
HashAlgorithm Skein256_256 |
HashAlgorithm Skein256_224 |
HashAlgorithm Skein512_512 |
HashAlgorithm Skein512_384 |
HashAlgorithm Skein512_256 |
HashAlgorithm Skein512_224 |
HashAlgorithm Whirlpool |

# hash algorithms

data Blake2s_256

Blake2s (256 bits) cryptographic hash algorithm

Constructors

Blake2s_256 |

Instances

Show Blake2s_256 |
HashAlgorithm Blake2s_256 |

data Blake2sp_256

Blake2sp (256 bits) cryptographic hash algorithm

Constructors

Blake2sp_256 |

Instances

Show Blake2sp_256 |
HashAlgorithm Blake2sp_256 |

data Blake2b_512

Blake2b (512 bits) cryptographic hash algorithm

Constructors

Blake2b_512 |

Instances

Show Blake2b_512 |
HashAlgorithm Blake2b_512 |

data Blake2bp_512

Blake2bp (512 bits) cryptographic hash algorithm

Constructors

Blake2bp_512 |

Instances

Show Blake2bp_512 |
HashAlgorithm Blake2bp_512 |

data MD2

MD2 cryptographic hash algorithm

Constructors

MD2 |

Instances

Show MD2 |
HashAlgorithm MD2 |
HashAlgorithmASN1 MD2 |

data MD4

MD4 cryptographic hash algorithm

Constructors

MD4 |

Instances

Show MD4 |
HashAlgorithm MD4 |

data MD5

MD5 cryptographic hash algorithm

Constructors

MD5 |

Instances

Show MD5 |
HashAlgorithm MD5 |
HashAlgorithmASN1 MD5 |

data SHA1

SHA1 cryptographic hash algorithm

Constructors

SHA1 |

Instances

Show SHA1 |
HashAlgorithm SHA1 |
HashAlgorithmASN1 SHA1 |

data SHA224

SHA224 cryptographic hash algorithm

Constructors

SHA224 |

Instances

Show SHA224 |
HashAlgorithm SHA224 |
HashAlgorithmASN1 SHA224 |

data SHA256

SHA256 cryptographic hash algorithm

Constructors

SHA256 |

Instances

Show SHA256 |
HashAlgorithm SHA256 |
HashAlgorithmASN1 SHA256 |

data SHA384

SHA384 cryptographic hash algorithm

Constructors

SHA384 |

Instances

Show SHA384 |
HashAlgorithm SHA384 |
HashAlgorithmASN1 SHA384 |

data SHA512

SHA512 cryptographic hash algorithm

Constructors

SHA512 |

Instances

Show SHA512 |
HashAlgorithm SHA512 |
HashAlgorithmASN1 SHA512 |

data SHA512t_224

SHA512t (224 bits) cryptographic hash algorithm

Constructors

SHA512t_224 |

Instances

Show SHA512t_224 |
HashAlgorithm SHA512t_224 |
HashAlgorithmASN1 SHA512t_224 |

data SHA512t_256

SHA512t (256 bits) cryptographic hash algorithm

Constructors

SHA512t_256 |

Instances

Show SHA512t_256 |
HashAlgorithm SHA512t_256 |
HashAlgorithmASN1 SHA512t_256 |

data RIPEMD160

RIPEMD160 cryptographic hash algorithm

Constructors

RIPEMD160 |

Instances

Show RIPEMD160 |
HashAlgorithm RIPEMD160 |
HashAlgorithmASN1 RIPEMD160 |

data Tiger

Tiger cryptographic hash algorithm

Constructors

Tiger |

Instances

Show Tiger |
HashAlgorithm Tiger |

data Keccak_224

Keccak (224 bits) cryptographic hash algorithm

Constructors

Keccak_224 |

Instances

Show Keccak_224 |
HashAlgorithm Keccak_224 |

data Keccak_256

Keccak (256 bits) cryptographic hash algorithm

Constructors

Keccak_256 |

Instances

Show Keccak_256 |
HashAlgorithm Keccak_256 |

data Keccak_384

Keccak (384 bits) cryptographic hash algorithm

Constructors

Keccak_384 |

Instances

Show Keccak_384 |
HashAlgorithm Keccak_384 |

data Keccak_512

Keccak (512 bits) cryptographic hash algorithm

Constructors

Keccak_512 |

Instances

Show Keccak_512 |
HashAlgorithm Keccak_512 |

data SHA3_224

SHA3 (224 bits) cryptographic hash algorithm

Constructors

SHA3_224 |

Instances

Show SHA3_224 |
HashAlgorithm SHA3_224 |

data SHA3_256

SHA3 (256 bits) cryptographic hash algorithm

Constructors

SHA3_256 |

Instances

Show SHA3_256 |
HashAlgorithm SHA3_256 |

data SHA3_384

SHA3 (384 bits) cryptographic hash algorithm

Constructors

SHA3_384 |

Instances

Show SHA3_384 |
HashAlgorithm SHA3_384 |

data SHA3_512

SHA3 (512 bits) cryptographic hash algorithm

Constructors

SHA3_512 |

Instances

Show SHA3_512 |
HashAlgorithm SHA3_512 |

data Skein256_224

Skein256 (224 bits) cryptographic hash algorithm

Constructors

Skein256_224 |

Instances

Show Skein256_224 |
HashAlgorithm Skein256_224 |

data Skein256_256

Skein256 (256 bits) cryptographic hash algorithm

Constructors

Skein256_256 |

Instances

Show Skein256_256 |
HashAlgorithm Skein256_256 |

data Skein512_224

Skein512 (224 bits) cryptographic hash algorithm

Constructors

Skein512_224 |

Instances

Show Skein512_224 |
HashAlgorithm Skein512_224 |

data Skein512_256

Skein512 (256 bits) cryptographic hash algorithm

Constructors

Skein512_256 |

Instances

Show Skein512_256 |
HashAlgorithm Skein512_256 |

data Skein512_384

Skein512 (384 bits) cryptographic hash algorithm

Constructors

Skein512_384 |

Instances

Show Skein512_384 |
HashAlgorithm Skein512_384 |

data Skein512_512

Skein512 (512 bits) cryptographic hash algorithm

Constructors

Skein512_512 |

Instances

Show Skein512_512 |
HashAlgorithm Skein512_512 |

data Whirlpool

Whirlpool cryptographic hash algorithm

Constructors

Whirlpool |

Instances

Show Whirlpool |
HashAlgorithm Whirlpool |